メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
alerts
/
services
/
mute
Mute alerts for services
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/services/mute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "serviceIds": [
    1,
    2,
    3
  ],
  "alertType": "retired_account",
  "reason": "Service being decommissioned"
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/services/mute"

payload = {
"serviceIds": [1, 2, 3],
"alertType": "retired_account",
"reason": "Service being decommissioned"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
serviceIds: [1, 2, 3],
alertType: 'retired_account',
reason: 'Service being decommissioned'
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/alerts/services/mute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

ボディ

application/json
serviceIds
number[]
必須

Service IDs for which to mute alerts (max 50)

:
[1, 2, 3]
alertType
enum<string>

Optional: Specific alert type to mute (if not provided, mutes all alert types for the services)

利用可能なオプション:
retired_account,
inactive_account,
on_leave_account,
unknown_account,
public_files
:

"retired_account"

reason
string

Optional reason for muting. Alert type mutes are permanent until explicitly unmuted.

:

"Service being decommissioned"

レスポンス

Successfully muted alerts

The response is of type object.

最終更新日 2026年7月10日